# next release

* ...

# v0.6

* Fix a bug where draft content gets lost when there are errors saving. (#69)
* Add Ruby 2.1.0 support. (#62)
* Enable Markdown table parsing. (#61)
* Improved quick draft HTML to Markdown conversion. (3754569c1)
* Replace Redcarpet with kramdown for Markdown rendering. Should be mostly a transparent change, but some things to note: (#74)
    - MathJax is supported so `$$` is a LaTeX delimiter.
    - Headings now have `id=` anchors as provided by kramdown.
    - Highlighting is still with Pygments (Rouge), not the default CodeRay.
* Support for MathJax with some setup (see the wiki). (#75, #76)

# v0.5.2

* Prevent broken initial drafts, where the path is nil, and thus fix errors on the new draft admin page. (#57)

# v0.5.1

* Fix a bug introduced in version 0.4, where the `_posts/` directory is not created for new sites, causing publish errors. (#53, #54)

# v0.5

* Site generation will be blocked if any two posts or drafts lead to the same URL. (#47)
* Bookmark links are generated with JavaScript instead of trying to detect Rack environment variables, which is buggy with some SSL configurations. (#52)
* `page.title` is now a single value, instead of being an array. (#45)
* `post_page` flag added for use in templates. Set to true when generating a post. (#45)
* Better README documentation for headers and per-post permalinks. (#46)
* `serif` with no arguments or `-h` or `--help` will now show usage. (#44)

# v0.4

* The admin interface now supports bookmarks for quickly creating drafts. Selected text on the page will be turned into Markdown. (#50)
* Posts with a header of `update: now` will have their `Updated` timestamps updated automatically on the next generate. (#49)
* The 'markdown' filter now properly turns single quotes in Markdown into curly quotes. (#40)
* Add `archive_page` template flag set to true when processing archive pages. (#41)
* Make the `month` archive variable available to layouts as well as the archive template. (#41)
* Slop warnings on any `serif` command have been removed.
* List of posts for all archive data are correctly in reverse chronological order. (#48)

# v0.3.3

* Allow drag-and-drop to work on posts as well as drafts. (9ea3bebf)
* `serif new` no longer creates a sample published post (#37) and generates immediately. (#39)
* Pygments.rb is replaced with Rouge for code highlighting. (#34)

# v0.3.2

* Fix caching problems caused by #30, allowing the most recently published to appear in files that use `site.posts`. (#36)

# v0.3.1

* Be kinder about the space used by the private URL characters. (#32)
* The keyup event on any input or textarea now marks the page as having changed. Previously only on blur events. (e0df1375dd)
* Order the list of drafts by most-recently-modified first, clarify draft and post ordering above each list. (#33)
* Support custom layouts for posts as well as non-post files. (#35)
* Drag-and-drop image uploads no longer use exclusively `rw-------` permissions, now rely on umask. (605487d98)

# v0.3

* Add some caching to improve performance of post generation. (#29)
* Remove super-linear performance cost of file_digest, reducing site generation time by > 85% for 50+ posts. (#30 -- charts available in the issue)
* Make `site` available to both preview templates and archive templates. (c3e2f28)
* Intelligently add blank lines before the markdown image text strings. (#27)
* Add a `smarty` filter to do smarty processing without full Markdown. (#28)
* Fix broken URL renames for drafts in the admin interface. (#31)

# v0.2.3

* Support drag-and-drop image uploading in the admin interface, with customisable paths. (#18)
* Generate private preview files for drafts, and generate the site on every draft change. (#19, #24)
* `serif dev` server serves 404s on missing files instead of 500 exceptions. (#22)
* Warn about _config.yml auth details after `serif new` skeleton (#23)
* Smarter onbeforeunload warnings that only fire if changes have been made. (#17)

# v0.2.2

* Make the previous and next posts available from individual post pages. (#3)

# v0.2.1

* A `file_digest` tag to compute hex digests of file contents, allowing URL fingerprinting. (#12)

# v0.2

* Support autopublishing drafts through "publish: now". (#9)

# v0.1.6

* Avoid exceptions/warnings when generating files that have no headers. (#10)
* Enable per-file non-post layouts based on the "layout" header. (#8)

# v0.1.5

* Require a confirmation before leaving an admin edit page. (#15)
* Prevent losing work when both editing a saved draft and marking it as published. (#14)

# v0.1.4

* Code with fenced blocks but no language specified no longer have an extra newline added at the end. (#4)

# v0.1.3

* Support archive pages with a configurable archive page format. (#2)
